summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2010-11-07 03:09:38 +0000
committerPádraig Brady <P@draigBrady.com>2010-11-16 00:50:09 +0000
commit9ad13ad14ac50b7b7fe57ff3265494b38e15281c (patch)
tree032d43da929061b70e023f1d75b347d1426a2635 /tests
parentc8d570c2b31166d0792d64635674df5b2d543d12 (diff)
downloadcoreutils-9ad13ad14ac50b7b7fe57ff3265494b38e15281c.tar.xz
split: fail immediately if impossible to create a large file
* src/split.c (main): Error if -[bC] value > OFF_T_MAX * tests/misc/split-fail: Adjust for the new lower limits
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/split-fail3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/misc/split-fail b/tests/misc/split-fail
index 68c9d7334..0ce6f5734 100755
--- a/tests/misc/split-fail
+++ b/tests/misc/split-fail
@@ -45,7 +45,8 @@ split -1 in 2> /dev/null || fail=1
split -0 in 2> /dev/null && fail=1
split --lines=$UINTMAX_MAX in || fail=1
-split --bytes=$UINTMAX_MAX in || fail=1
+split --bytes=$OFF_T_MAX in || fail=1
+split --line-bytes=$OFF_T_OFLOW 2> /dev/null in && fail=1
split --line-bytes=$SIZE_OFLOW 2> /dev/null in && fail=1
# Make sure that a huge obsolete option evokes the right failure.